#pragma once

#include <J3ML/LinearAlgebra.h>

namespace LinearAlgebra
{
    /// The CFrame is fundamentally 4 vectors (position, forward, right, up vector)
    class CoordinateFrame
    {
        Vector3 getPosition();
        Vector3 getLookVector();
        Vector3 getRightVector();
        Vector3 getUpVector();
        AxisAngle GetAxisAngle();
        EulerAngle GetEulerAngleXYZ();
        EulerAngle GetWorldAngleYZX();
    };


}